import { Config } from 'bili';

const config: Config = {
    banner: true,
    plugins: {
        vue: {
            css: true,
        },
        typescript2: {
            // Override the config in `tsconfig.json`
            tsconfigOverride: {
                include: ['src'],
            },
        },
    },

     // Let's take this opportunity to move the CLI flags here as well
    input: 'src/index.ts',
    output: {
        format: ['cjs', 'esm'],
        extractCSS: true,
    },
};

export default config;
